مشکل آپدیت فایرفاکس در گنو / لینوکس 64 بیتی

اگر گنو / لینوکس 64 بیتی دارید و پس از بروز رسانی firefox از طریق فایل سورس برنامه که از سایت فایرفاکس دانلود کرده‌اید با عدم باز شدن پنچره فایرفاکس یا پیغام خطای زیر هنگام اجرای برنامه از طریق ترمینال مواجه شده‌اید ادامه مطلب را بخوانید:

XPCOMGlueLoad error for file /home/amnesia/firefox/libxpcom.so:
libxul.so: cannot open shared object file: No such file or directory
Couldn’t load XPCOM.

اغلب این مشکل به این خاطر بروز می‌کند که شما به اشتباه نسخه 32 بیتی برنامه را دانلود کرده و قصد بروز رسانی نسخه 64 بیتی را با آن دارید!

متاسفانه سایت فایرفاکس قابلیت تشخیص 32 یا 64 بیتی بودن سیستم عامل شما (البته برای سیستم عامل‌های گنو / لینوکس و مک OSX که موزیلا نسخه 64 بیتی برای آن‌ها عرضه می‌کند) را ندارد و هیچ پیشنهادی هم در صفحه دانلود برای نصب نسخه 64 بیتی نمی‌دهد.

پس همیشه نسخه 64 بیتی مورد نظرتان را از یکی از دو لینک زیر دانلود و نصب نمایید:

اگه با روش بالا مشکلتون حل نشد سری به اینجا بزنید و راه حل‌های دیگه‌ای را که پیشنهاد شده مثل بروز رسانی پکیج glibc و … را امتحان نمایید.

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *